#include "all-headers.h"

static uint64_t gStack1 [64] ;

static void task1 (USER_MODE) {
	for (unsigned int i(0); i < 20; i++) {
		digitalToggle(L0_LED);
		printChar (MODE_ '>') ;
		waitDuring(MODE_ 500);
	}
}


static uint64_t gStack2 [64] ;

static void task2 (USER_MODE) {
	for (unsigned int i(0); i < 20; i++) {
		digitalToggle(L1_LED);
		printChar (MODE_ '<') ;
		waitDuring(MODE_ 400);
	}
}


static void initTasks (INIT_MODE) {
	kernel_createTask (MODE_ gStack1, sizeof (gStack1), task1) ;
	kernel_createTask (MODE_ gStack2, sizeof (gStack2), task2) ;
}

MACRO_INIT_ROUTINE (initTasks) ;
